Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154461 - insmod: error inserting '/lib/sd_mod.ko': -1 unknown symbol in module
Summary: insmod: error inserting '/lib/sd_mod.ko': -1 unknown symbol in module
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 22:30 UTC by Luke Hutchison
Modified: 2015-01-04 22:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 23:49:14 UTC


Attachments (Terms of Use)

Description Luke Hutchison 2005-04-11 22:30:12 UTC
Description of problem:
I'm running FC3 on an HP Proliant server, with some core packages upgraded to
FC4-development RPMs.

Recently I upgraded the kernel to 2.6.11-1234_FC4smp.  On boot I get the
following error:

insmod: error inserting '/lib/sd_mod.ko': -1 unknown symbol in module
ERROR: /bin/insmod exited abnormally
File descriptor 3 left open
File descriptor 3 left open
mount: error 6 mounting ext3
kernel panic

I'm guessing that the initrd is missing some module that it needs, causing an
"unknown symbol" error?

Comment 1 Dave Jones 2005-04-11 22:35:41 UTC
mixing bits and pieces from two different releases is nearly always going to
break something, so this probably falls into the 'unfixable' category due to the
disparate state of your userspace.

Though I'm curious why the initrd is using insmod instead of modprobe.

Jeremy ?


Comment 2 Luke Hutchison 2005-04-11 22:59:25 UTC
This is at the very beginning of the boot process, so not much of the system is
actually involved at that point.  I upgraded to the latest module-init-tools and
binutils, but other than that and the kernel RPM, I don't know what else would
be involved this early on in booting.  Did I miss anything?


Comment 3 Dave Jones 2005-05-23 23:49:14 UTC
This was the only report of this that came up, so its likely very unique to your
setup.  As I believe this to be fixed in current trees, I'm going to close this.



Note You need to log in before you can comment on or make changes to this bug.